import { createRouter, createWebHistory } from 'vue-router';
// 公共
import common from './module/common';
// 直播大厅
import live from './module/live';
// 科技频道
import channel from './module/channel';
// 科技超市
import market from './module/market';
// 交流合作
import interflow from './module/interflow';
// 创新服务
import service from './module/service';
// 科学普及
import universal from './module/universal';
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      meta: { title: '中科在线（长春）' },
      component: () => import('@/views/homeIndex.vue')
    },
    {
      path: '/homeIndex',
      meta: { title: '中科在线（长春）' },
      component: () => import('@common/src/components/web-frame/home.vue'),
      children: [
        ...common,
        // 直播大厅
        ...live,
        // 科技频道
        ...channel,
        // 科技超市
        ...market,
        // 交流合作
        ...interflow,
        // 创新服务
        ...service,
        // 科学普及
        ...universal
      ]
    }
  ]
});
router.beforeEach((to, from, next) => {
  // 赋值标题
  document.title = `${to.meta.title}`;
  // 向下进行
  next();
});

export default router;
